Skip to content
中文

POST /runway/v1/pro/video2video

Method: POSTEndpoint: /runway/v1/pro/video2video

Request Parameters

NameLocationTypeRequiredChinese NameNotes
bodybodyobjectNonone
» videobodystringProvider notenone
» modelbodystringProvider noteProvider notenone
» promptbodystringYesDescription textChinese supported
» optionsbodyobjectYesParameternone
»» structure_transformationbodynumberProvider noteProvider note0-1Provider note
»» flipbodybooleanProvider noteProvider noteProvider note

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
video
string
Required
model
string
gen3
Required
prompt
string
Required
options
object
Required
structure_transformation
number
Required
flip
boolean
Required
Example
{
"video"
:
"string"
,
"model"
:
"string"
,
"prompt"
:
"string"
,
"options"
:
{
"structure_transformation"
:
0
,
"flip"
:
true
}
}

Example Request

Shell

bash
curl --location --request POST '/runway/v1/pro/video2video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "video": "string",
    "model": "string",
    "prompt": "string",
    "options": {
        "structure_transformation": 0,
        "flip": true
    }
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}